package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class OIVPMAIN_DCA_TIME {
    public @Getter @Builder.Default String DCA_TIME_HRS = StringUtils.repeat(
            ' ', 2);
    public @Getter @Builder.Default String DCA_COLON = StringUtils.repeat(' ',
            1);
    public @Getter @Builder.Default String DCA_TIME_MIN = StringUtils.repeat(
            ' ', 2);
    public @Getter @Builder.Default String DCA_TIME_AMPM = StringUtils.repeat(
            ' ', 3);

    public void setDCA_TIME_HRS(String source) {
        DCA_TIME_HRS = StringUtils.truncate(StringUtils.rightPad(source, 2), 2);
    }

    public void setDCA_COLON(String source) {
        DCA_COLON = StringUtils.truncate(StringUtils.rightPad(source, 1), 1);
    }

    public void setDCA_TIME_MIN(String source) {
        DCA_TIME_MIN = StringUtils.truncate(StringUtils.rightPad(source, 2), 2);
    }

    public void setDCA_TIME_AMPM(String source) {
        DCA_TIME_AMPM = StringUtils
                .truncate(StringUtils.rightPad(source, 3), 3);
    }

    public void set(String source) {
        DCA_TIME_HRS = source.substring(0, 2);
        DCA_COLON = source.substring(2, 3);
        DCA_TIME_MIN = source.substring(3, 5);
        DCA_TIME_AMPM = source.substring(5, 8);
    }

    @Override
    public String toString() {
        return getDCA_TIME_HRS() + getDCA_COLON() + getDCA_TIME_MIN()
                + getDCA_TIME_AMPM();
    }
}
